mvp:
  fullname: "Steve Exley"
  gitlab: steve.exley
  description: |
    Steve contributed one of [the biggest architectural changes to the Docker executor](#gitlab-runner-129). These changes will [create a network per build](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/1042), which solves multiple issues for the Docker executor, including [jobs sharing the same network bridge](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/4430), [services don't work when `network_mode` is specified](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/2699), and lastly, services can connect to one another and connect with the build container as well!

    Steve worked on this throughout multiple releases and picked up the work from the original contributor, [Michael](https://gitlab.com/gitlab-org/gitlab-runner/-/merge_requests/1041). Steve was humble and responsive to every comment we left in the [merge request](https://gitlab.com/gitlab-org/gitlab-runner/-/merge_requests/1569) which turned out to be a long one!

    Check out [Network per build](https://docs.gitlab.com/runner/executors/docker.html#network-per-build), and get started today! Thank you, Steve, for your contribution and hard work.
